<?php
$cnf=Config::get('Setup');
if($cnf['rabaty'] )include(Config::get('UserFuncDir').'Voucher.class.php');

class koszykModel extends Model
{
	
	protected $koszyk;
	
	function __construct()
	{
		parent::__construct();
		$cnf=Config::get('Setup');
		
		$this->koszyk=new ShopBasket('towary_'.LNG,array('static_basket'=>$cnf['static_basket'],'show_not_available'=>$cnf['show_not_available'],'item_data'=>$cnf['item_data']));
		
	}
	
	function dodaj()
	{	

		$this->koszyk->add2Basket(abs((int)$this->params['id']),!empty($this->params['ilosc'])?abs($this->params['ilosc']):1,!empty($this->params['attr'])?(array)$this->params['attr']:array());
	
	}
	function edytuj()
	{

		$this->koszyk->changeQuantity($_POST['koszyk']);
		if($_POST['dostawa']=='inpost_przelew' && isset($_POST['inpost']) && preg_match('/^[\-A-Z0-9]+$/',$_POST['inpost']))$_SESSION['INPOST_ID']=$_POST['inpost'];
		elseif(isset($_SESSION['INPOST_ID']))unset($_SESSION['INPOST_ID']);
		elseif(in_array($_POST['dostawa'],array('pwr_przelew','pwr_pobranie')) && isset($_POST['pwr_id']))
		{
			$_SESSION['PWR']=array('ID'=>$_POST['pwr_id'],'QCITY'=>$_POST['pwr_miasto'],'QSTREET'=>$_POST['pwr_ulica']);
		}
		elseif(isset($_SESSION['PWR']))unset($_SESSION['PWR']);
		//wybór opcji dostawy
		ModelFactory::getInstance('dostawa')->wybierzOpcje();
		
	}
	function usun()
	{
		$this->koszyk->deleteItem($this->params['md5']);		
	}

	function deliveryTime()
	{
		$result=[];
		foreach(unserialize(Config::getSettings(7)) as $id =>$l)
		{
			
			$result[$id]=json_decode($l,true)[LNG];
		}


		return $result;
	}

	function pokaz()
	{		
		$cnf=Config::get('Setup');
		if($cnf['rabaty'])	
			$this->discount();	
				
		$dostawa=ModelFactory::getInstance('dostawa');
		$koszty=$dostawa->kosztyDostawy();

		$info= array('koszyk'=>$this->koszyk->getBasketDetails(),'dostawa'=>array('lista'=>$koszty,'wybor'=>$dostawa->wybranyKosztDostawy(),'labels'=>$dostawa->getLabels(array_keys($koszty)),'time'=>$this->deliveryTime()));

		if(isset($_SESSION['PWR']['ID']))		
			$info['pwr']=ModelFactory::getInstance('pwr')->info();

		
		
		
	   if($cnf['rabaty'])	
		$info['discount']=$this->koszyk->getDiscountInfo();
		
		return $info;
	}
	
	function count()
	{
		$cnf=Config::get('Setup');
		if($cnf['rabaty'])	
			$this->discount();

		return array('ilosc'=>$this->koszyk->totalQuantity(),'suma'=>$this->koszyk->totalCost(),'waga'=>$this->koszyk->totalWeight(),'free_delivery'=>ModelFactory::getInstance('dostawa')->getFreeDeliveryValue());
	}
	function discount()
	{
		$list=array();


		if($r=Logowanie::getCurrSessVar('RABAT'))
		{
		
			$voucher=new Voucher('user');
			$voucher->set($r);
			if($v=$voucher->get())
			{
				if($voucher->setInfo($v) && $voucher->isValid(array('total'=>$this->koszyk->totalCost())))
				{		
				$this->koszyk->addDiscount($voucher->getName(),$voucher->getWorker());					
				$list[]=$voucher;
				}

			}

		}
		
		
		$voucher=new Voucher('rabat');
		
		if(isset($_POST['voucher']))
			$voucher->set($_POST['voucher']);	

		if($v=$voucher->get())
		{
			if($voucher->setInfo($v) && $voucher->isValid(array('total'=>$this->koszyk->totalCost())))
			{		
			$this->koszyk->addDiscount($voucher->getName(),$voucher->getWorker());					
			$list[]=$voucher;
			}

		}
		if(!empty($list))$this->koszyk->applyDiscount();
		return $list;
	}
	function koszykOb()
	{		
		return $this->koszyk;
	}
	
	
}

?>