{include file="koszyk.steps.tpl" step=3}

<p class="ok">
	{#o_success#}<br />
	{#o_id#} <b class="price">{$order->id}</b> {#p_title2#} {$order->data}
</p>



<h4>{#o_your_order#}</h4>

<div class="cart">
	<div class="cartWrapper">
		<div class="cart-table">
			{foreach from=$koszyk->GetBasketDetails() item=item key=k}
				<div class="cart-row">
					<div class="cart-cell cart-product">
						<div class="cart-header">{#o_produkt#}</div>
						<a href="{$item.ID},{$item.NAZWA|label_url}" class="cart-product-image"><img src="{$root}media/towary/mini/{$item.FOTO}" alt="{$item.NAZWA}"  /></a>
						<div class="cart-product-name">
							<a href="{$item.ID},{$item.NAZWA|label_url}">{$item.NAZWA}</a>
							{if $item.DETAILS|@count}
								<ul class="cart-product-attrs">
									{foreach from=$item.DETAILS key=dlabel item=dval}
										<li>{$dlabel}: {$dval}</li>
									{/foreach}
								</ul>
							{/if}
						</div>
					</div>
					<div class="cart-cell cart-price">
						<div class="cart-header">{#o_wartosc#}</div>
						<small>{$item.ILOSC} &times; <b>{$item.CENA|string_format:"%.2f"}</b> {#m_waluta#}</small><br>
						<b class="price">{($item.ILOSC*$item.CENA)|string_format:"%.2f"}</b> {#m_waluta#}
					</div>
				</div>
			{/foreach}
		</div>
	</div>
</div>

<p>
	{#o_koszt#}:
	<b class="price">{$koszyk->TotalCost()} {#m_waluta#}</b>
</p>


{if $CNF.rabaty}
{include file="rabat.tpl"}
{/if}

<p>
	{#o_dostawa_opcja#}:
	<b>{$dLabel} {$order->koszt_dostawy|string_format:"%.2f"} {#m_waluta#}</b>
</p>
<p class="cart-price-main">
	{#o_koszt_calkowity#}: <b class="price">{($order->koszt_dostawy+$order->koszt_zamowienia)|string_format:"%.2f"} {#m_waluta#}</b>
</p>

{if $CNF.platnosci_online && $order->platnosc=='przelew'}

<div class="row payonline">
{foreach $form.form as $fp}
	
		{*<a href="payonline,payform?token={$order->session}" class="button">{#o_payonline#}</a>*}
	<div class="span span-6 alignCenter">	{$fp}</div>
	
{/foreach}
</div>
{/if}

{if $stopka}<div class="box">{$stopka}</div>{/if}

<div class="row">
	<div class="span span-6">


		<h4>{#o_customer#}</h4>
		<span class="label">
			<span class="label-name">{#u_imie_nazwisko#}:</span>
			<span class="label-value">{$user.imie_nazwisko|escape:'html'}</span>
		</span>
		<span class="label">
			<span class="label-name">{#u_ulica#}:</span>
			<span class="label-value">{$user.ulica|escape:'html'}</span>
		</span>
		<span class="label">
			<span class="label-name">{#u_kod_pocztowy#}:</span>
			<span class="label-value">{$user.kod_pocztowy|escape:'html'}</span>
		</span>
		<span class="label">
			<span class="label-name">{#u_miasto#}:</span>
			<span class="label-value">{$user.miasto|escape:'html'}</span>
		</span>
		{if $user.kraj}
		<span class="label">
			<span class="label-name">{#u_kraj#}:</span>
			<span class="label-value">{$user.kraj|escape:'html'}</span>
		</span>
		{/if}
		<span class="label">
			<span class="label-name">{#u_telefon#}:</span>
			<span class="label-value">{$user.telefon|escape:'html'}</span>
		</span>
		<span class="label">
			<span class="label-name">{#u_email#}:</span>
			<span class="label-value">{$user.email|escape:'html'}</span>
		</span>

		{if $smarty.post.inny_adres_wysylki.imie_nazwisko}
			<h4>{#o_inny_adres_wysylki_info#}</h4>
			{if $smarty.post.inny_adres_wysylki.firma!=''}
				<span class="label">
					<span class="label-name">{#u_firma#}:</span>
					<span class="label-value">{$smarty.post.inny_adres_wysylki.firma|escape:'html'}</span>
				</span>
			{/if}
			<span class="label">
				<span class="label-name">{#u_imie_nazwisko#}:</span>
				<span class="label-value">{$smarty.post.inny_adres_wysylki.imie_nazwisko|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_ulica#}:</span>
				<span class="label-value">{$smarty.post.inny_adres_wysylki.ulica|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_kod_pocztowy#}:</span>
				<span class="label-value">{$smarty.post.inny_adres_wysylki.kod_pocztowy|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_miasto#}:</span>
				<span class="label-value">{$smarty.post.inny_adres_wysylki.miasto|escape:'html'}</span>
			</span>
			{if $smarty.post.inny_adres_wysylki.kraj!=''}
			<span class="label">
				<span class="label-name">{#u_kraj#}:</span>
				<span class="label-value">{$smarty.post.inny_adres_wysylki.kraj|escape:'html'}</span>
			</span>
			{/if}
			{if $smarty.post.inny_adres_wysylki.telefon!=''}
			<span class="label">
				<span class="label-name">{#u_telefon#}:</span>
				<span class="label-value">{$smarty.post.inny_adres_wysylki.telefon|escape:'html'}</span>
			</span>
			{/if}
		{/if}


	</div>
	<div class="span span-6">

		{if $smarty.post.uwagi}
			<h4>{#o_uwagi#}:</h4>
			<p>{$smarty.post.uwagi|escape:'html'|nl2br}</p>
		{/if}

		{if $smarty.post.fv.nip}
			<h4>{#o_fv_label#}</h4>
			{*
			<span class="label">
				<span class="label-name">{#u_imie_nazwisko#}:</span>
				<span class="label-value">{$smarty.post.fv.imie_nazwisko|escape:'html'}</span>
			</span>
			*}
			<span class="label">
				<span class="label-name">{#u_firma#} / {#u_imie_nazwisko#}:</span>
				<span class="label-value">{$smarty.post.fv.firma|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_nip#}:</span>
				<span class="label-value">{$smarty.post.fv.nip|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_ulica#}:</span>
				<span class="label-value">{$smarty.post.fv.ulica|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_kod_pocztowy#}:</span>
				<span class="label-value">{$smarty.post.fv.kod_pocztowy|escape:'html'}</span>
			</span>
			<span class="label">
				<span class="label-name">{#u_miasto#}:</span>
				<span class="label-value">{$smarty.post.fv.miasto|escape:'html'}</span>
			</span>
		{/if}


	</div>

</div>
<div class="row">
	<div class="span span-6">
		{if $inpost.symbol || $pwr.symbol}{include file="inpost.tpl"}{/if}
	</div>
</div>

