{include file="koszyk.steps.tpl"}

{if $koszyk_info.koszyk|@count}

	{assign var="total" value=$count_basket.suma}

	<form action="koszyk,edytuj" method="post" class="cart2" name="basket">
		<div class="cartWrapper">
			<div class="cart-table">
				{foreach from=$koszyk_info.koszyk item=item key=k}

					<div class="cart-row">

						<div class="cart-cell cart-product">
							<div class="cart-header">{#o_produkt#}</div>
							<a href="{$item.ID},{$item.NAZWA|label_url}" class="cart-product-image"><img src="{$root}media/towary/mini/{$item.FOTO}" alt="{$item.NAZWA}" /></a>
							<div class="cart-product-name">
								<a href="{$item.ID},{$item.NAZWA|label_url}">{$item.NAZWA} </a>
								{if $item.DETAILS|@count}
									<ul class="cart-product-attrs">
										{foreach from=$item.DETAILS key=dlabel item=dval}
											<li>{$dlabel}: {$dval}</li>
										{/foreach}
									</ul>
								{/if}
								{if $item.M_FORCE==1}{msg txt=#o_m_force# typ="error"}{/if}
							</div>
						</div>
						<div class="cart-cell cart-qty">
							<div class="cart-header">{#o_sztuk#}</div>
							<input type="number" name="koszyk[{$k}]" value="{$item.ILOSC}" min="0" class="input input--number">
						</div>
						<div class="cart-cell cart-price">
							<div class="cart-header">{#o_wartosc#}</div>
							<small>{$item.ILOSC} &times; <b>{$item.CENA|string_format:"%.2f"}&nbsp;{#m_waluta#}</b> </small><br>
							<b class="price">{($item.ILOSC*$item.CENA)|string_format:"%.2f"}&nbsp;{#m_waluta#}</b>
						</div>
						<div class="cart-cell cart-delete">
							<div class="cart-header">{#o_usun#}</div>
							<a href="koszyk,usun?md5={$k}" class="cart-x">&times;</a>
						</div>
					</div>
				{/foreach}
			</div>
		</div>

		<div class="clearfix">
			<button type="submit" class="button pullRight">{#o_przelicz#}</button>
			<p class="cart-price-main">{#o_koszt#}: <b class="price">{$count_basket.suma|string_format:"%.2f"}&nbsp;{#m_waluta#}</b></p>
		</div>

		{if $CNF.rabaty}
			{include file="rabat.tpl"}
		{/if}
	
		{if $lng=='pl' &&  $count_basket.free_delivery-$total>0}
			<p class="shipment-price">Do darmowej wysyłki brakuje Ci: <b>{($count_basket.free_delivery-$total)|string_format:"%.2f"} zł</b></p>
		{/if}

		<h2 class="h-bg">{#o_dostawa_opcja#}</h2>

		<div class="boxShadow cart-bg">
			{if $lng=='pl'}
			<h4>{#m_wysylka1#}</h4>
			<div class="cartWrapper cartWrapper-local">
				<div class="cart-table">
					{foreach from=$koszyk_info.dostawa.lista item=koszt_dostawy key=dostawa_label}
					{if !$dostawa_label|find_delivery:'(pocztaswiat|pocztaeuropa)'}
						<div class="cart-row">
							<div class="cart-cell cart-product">
								<div class="cart-header">{#o_dostawa_wybrana#}</div>
								<label>
									<input type="radio" name="dostawa" value="{$dostawa_label}"{if $dostawa_label==$koszyk_info.dostawa.wybor.opcja_dostawy} checked="checked"{/if} data-toggle="#{$dostawa_label}"   {if "pwr_przelew" ==$dostawa_label} data-toggle="#pwr-p" data-city="{if $smarty.session.PWR.QCITY}{$smarty.session.PWR.QCITY|escape:html}{/if}" data-street="{if $smarty.session.PWR.QSTREET}{$smarty.session.PWR.QSTREET|escape:html}{/if}" data-choosen="{if $koszyk_info.pwr.miasto}{$koszyk_info.pwr.miasto}<br/>{/if}{if $koszyk_info.pwr.ulica}{$koszyk_info.pwr.ulica}<br/>{/if}{if $koszyk_info.pwr.opis}{$koszyk_info.pwr.opis}{/if}" data-id="{if $koszyk_info.pwr.symbol}{$koszyk_info.pwr.symbol}{/if}" {/if}>
									<div class="rr">
										{$koszyk_info.dostawa.labels[$dostawa_label]}
										<i>{$koszyk_info.dostawa.time[$dostawa_label]}</i>
									</div>
								</label>

							</div>
							<div class="cart-cell cart-price">
								<div class="cart-header">{#o_dostawa_koszt#}</div>
								<b class="price">{$koszt_dostawy|string_format:"%.2f"}&nbsp;{#m_waluta#}</b>
							</div>
							<div class="cart-cell cart-price">
								<div class="cart-header">{#o_koszt_calkowity#}</div>
								<b class="price">{($total+$koszt_dostawy)|string_format:"%.2f"}&nbsp;{#m_waluta#}</b>
							</div>
						</div>
					{/if}
					{/foreach}
				</div>
			</div>
			{/if}

	<h4>{#m_wysylka2#}</h4>
	<div class="cartWrapper cartWrapper-zagranica">			
				<div class="cart-table">
					{foreach from=$koszyk_info.dostawa.lista item=koszt_dostawy key=dostawa_label}
					{if $dostawa_label|find_delivery:'(pocztaswiat|pocztaeuropa)'}
						<div class="cart-row">
							<div class="cart-cell cart-product">
								{*<div class="cart-header">{#o_dostawa_wybrana#}</div>*}
								<label>
									<input type="radio" name="dostawa" value="{$dostawa_label}"{if $dostawa_label==$koszyk_info.dostawa.wybor.opcja_dostawy} checked="checked"{/if} data-toggle="#{$dostawa_label}">
									<div class="rr">
										{$koszyk_info.dostawa.labels[$dostawa_label]}
											<i>{$koszyk_info.dostawa.time[$dostawa_label]}</i>
									</div>
								</label>
							</div>
							<div class="cart-cell cart-price">
								{if $lng=='en'}<div class="cart-header">{#o_dostawa_koszt#}</div>{/if}
								<b class="price">{$koszt_dostawy|string_format:"%.2f"}&nbsp;{#m_waluta#}</b>
							</div>
							<div class="cart-cell cart-price">
								{if $lng=='en'}<div class="cart-header">{#o_koszt_calkowity#}</div>{/if}
								<b class="price">{($total+$koszt_dostawy)|string_format:"%.2f"}&nbsp;{#m_waluta#}</b>
							</div>
						</div>
						{/if}
					{/foreach}
				</div>
			</div>

		</div>

		<div id="error-delivery" class="hide">
			{msg typ="error" txt=#o_delivery_empty2#}
		</div>

		<div class="formActions formActions--center">
			<a type="button" href="{$smarty.session.REQUEST_URI}" class="button button--midi button--gray">&lt; {#o_kontunuuj#}</a>
			<button type="submit" class="button button--midi" data-cart="#error-delivery">{#o_kasa#} &gt;</button>
		</div>

	</form>


{else}
	{msg txt=#o_empty#}
{/if}

